---@meta

---@class UWG_VehicleHUD_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_GearShifter UWG_GearShifter_C
---@field RearWinchStatusText UTextBlock
---@field GearVerticalBox UVerticalBox
---@field FrontWinchStatusText UTextBlock
---@field DisplayedInputEngine UWG_DisplayedInput_C
---@field Vehicle ABP_VehicleBase_C
---@field CachedGearTransmissionIndex int32
local UWG_VehicleHUD_C = {}

---@param Visible boolean
function UWG_VehicleHUD_C:UdpateGearShifterVisibility(Visible) end
---@param ClutchPressed boolean
---@param GearShifterXRaw double
---@param GearShifterYRaw double
---@param GearShifterXDisplay double
---@param GearShifterYDisplay double
function UWG_VehicleHUD_C:UpdateGearShifterState(ClutchPressed, GearShifterXRaw, GearShifterYRaw, GearShifterXDisplay, GearShifterYDisplay) end
---@param Winch ABP_Winch_C
---@return FText
function UWG_VehicleHUD_C:GetWinchStatusText(Winch) end
function UWG_VehicleHUD_C:UpdateWinchStatusText() end
function UWG_VehicleHUD_C:UpdateCurrentGearText() end
function UWG_VehicleHUD_C:UpdateInfo() end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UWG_VehicleHUD_C:Tick(MyGeometry, InDeltaTime) end
function UWG_VehicleHUD_C:Construct() end
---@param EntryPoint int32
function UWG_VehicleHUD_C:ExecuteUbergraph_WG_VehicleHUD(EntryPoint) end


